#
# Copyright (C) 2017-2020 Red Hat, Inc.
#
# Cockpit is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# Cockpit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Cockpit; If not, see <http://www.gnu.org/licenses/>.
#

Name:           cockpit-podman
Version:        103
Release:        1.20250409083456613009.pr2089.53.g5e76b0b%{?dist}
Summary:        Cockpit component for Podman containers
License:        LGPL-2.1-or-later
URL:            https://github.com/cockpit-project/cockpit-podman

Source0:        cockpit-podman-103.53.g5e76b0b.tar.xz
BuildArch:      noarch
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires:  make
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires:       cockpit-bridge
Requires:       podman >= 2.0.4
# HACK https://github.com/containers/crun/issues/1091
%if 0%{?centos} == 9
Requires:       criu-libs
%elif 0%{?suse_version}
Requires:       libcriu2
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 6.1.0
Provides: bundled(npm(@patternfly/react-core)) = 6.1.0
Provides: bundled(npm(@patternfly/react-icons)) = 6.1.0
Provides: bundled(npm(@patternfly/react-styles)) = 6.1.0
Provides: bundled(npm(@patternfly/react-table)) = 6.1.0
Provides: bundled(npm(@patternfly/react-tokens)) = 6.1.0
Provides: bundled(npm(@xterm/addon-canvas)) = 0.7.0
Provides: bundled(npm(@xterm/xterm)) = 5.5.0
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(docker-names)) = 1.2.1
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(ipaddr.js)) = 2.2.0
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
The Cockpit user interface for Podman containers.

%prep
%setup -q -n cockpit-podman

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Wed Apr 09 2025 Packit <hello@packit.dev> - 103-1.20250409083456613009.pr2089.53.g5e76b0b
- po: Update from Fedora Weblate (GitHub Workflow)
- Show systemd service links for quadlets (Jelle van der Waa)
- Drop ct-table-empty css rule (Jelle van der Waa)
- Update pixel tests (Jelle van der Waa)
- Compare uid for checked state instead of object (Jelle van der Waa)
- Fix useState operating on current state (Jelle van der Waa)
- cockpit-ci: Update container to 2025-04-05 (Cockpit Project)
- Bump the esbuild group with 2 updates (dependabot[bot])
- Bump eslint-plugin-react in the eslint group (dependabot[bot])
- Drop no longer applying font-size override (Jelle van der Waa)
- Drop service badge font override (Jelle van der Waa)
- Drop badge stretching CSS override (Jelle van der Waa)
- Drop duplicate modal title override (Jelle van der Waa)
- Hide Ports in integration tab when no ports are configured (Jelle van der Waa)
- Document global-variables import (Jelle van der Waa)
- Makefile: Update Cockpit lib to 30524ec9551e1aa5bb8bea0f3a927312 (Cockpit Project)
- Drop pf-m-redhat-font (Jelle van der Waa)
- test: extend pixel tests (Jelle van der Waa)
- test: further type check-application (Jelle van der Waa)
- test: move podman_version to the test class itself (Jelle van der Waa)
- pyproject.toml: bump default confidence level to 80% (Jelle van der Waa)
- test: bump ruff python requirement to 3.13 (Jelle van der Waa)
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'pt_BR' language (GitHub Workflow)
- Port to PatternFly 6 (Jelle van der Waa)
- cockpit-ci: Update container to 2025-03-29 (Cockpit Project)
- Bump stylelint from 16.16.0 to 16.17.0 in the stylelint group (dependabot[bot])
- SImplify onTouchStart= arrows (Martin Pitt)
- Use iterator instead of manual for loop in ImageRunModal (Martin Pitt)
- Fix Application location state clobbering (Martin Pitt)
- Support connecting to other users (Martin Pitt)
- Fix ContainerTerminal race condition when disconnecting users (Martin Pitt)
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'zh_Hant' language (GitHub Workflow)
- test: Robustify admin user SSH key setup (Martin Pitt)
- test: generalise bootc check (Jelle van der Waa)
- cockpit-ci: Update container to 2025-03-22 (Cockpit Project)
- Makefile: Update Cockpit lib to 1609250d9b4238e75d96da41838fdf03 (Cockpit Project)
- Drop duplicate danger rule (Jelle van der Waa)
- Disable lifecycle actions for quadlet containers/pods (Jelle van der Waa)
- Add a service label to quadlet pods (Jelle van der Waa)
- Allow the service badge to be translated (Jelle van der Waa)
- Disable "Create container in pod" for quadlets (Jelle van der Waa)
- Don't show delete action for podman quadlets (Jelle van der Waa)
- test: Drop unnecessary wait code (Martin Pitt)
- test: Disable podman-user-wait-network-online.service (Martin Pitt)
- cockpit-ci: Update container to 2025-03-15 (Cockpit Project)
- Bump stylelint from 16.15.0 to 16.16.0 in the stylelint group (dependabot[bot])
- Bump the esbuild group with 2 updates (dependabot[bot])
- Fix pod label (Martin Pitt)
- test: re-use `getContainerAction` helper (Jelle van der Waa)
- Makefile: Update Cockpit lib to 6b9175d50226d2aa6d34445c0c04cd9d (Cockpit Project)
